Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRScatterPlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable, JRXAxisFormat, JRYAxisFormat

All Known Implementing Classes:
  JRBaseScatterPlot, JRDesignScatterPlot, JRFillScatterPlot

    public interface JRScatterPlot

extends JRChartPlot, JRXAxisFormat, JRYAxisFormat

Version:
  $Id: JRScatterPlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Method Summary
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowLines()`
`java.lang.Boolean` | `getShowShapes()`
`JRExpression` | `getXAxisLabelExpression()`
`JRExpression` | `getYAxisLabelExpression()`
`boolean` | `isShowLines()` Deprecated. Replaced by `getShowLines()`
`boolean` | `isShowShapes()` Deprecated. Replaced by `getShowShapes()`
`void` | `setShowLines(boolean isShowLines)` Deprecated. Replaced by `setShowLines(Boolean)`
`void` | `setShowLines(java.lang.Boolean isShowLines)`
`void` | `setShowShapes(boolean isShowShapes)` Deprecated. Replaced by `setShowShapes(Boolean)`
`void` | `setShowShapes(java.lang.Boolean isShowShapes)`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.charts.JRXAxisFormat
`getOwnXAxisLabelColor, getOwnXAxisLineColor, getOwnXAxisTickLabelColor, getXAxisLabelColor, getXAxisLabelFont, getXAxisLineColor, getXAxisTickLabelColor, getXAxisTickLabelFont, getXAxisTickLabelMask, getXAxisVerticalTickLabels`

Methods inherited from interface net.sf.jasperreports.charts.JRYAxisFormat
`getOwnYAxisLabelColor, getOwnYAxisLineColor, getOwnYAxisTickLabelColor, getYAxisLabelColor, getYAxisLabelFont, getYAxisLineColor, getYAxisTickLabelColor, getYAxisTickLabelFont, getYAxisTickLabelMask, getYAxisVerticalTickLabels`

Method Detail

### getXAxisLabelExpression

    JRExpression getXAxisLabelExpression()

### getYAxisLabelExpression

    JRExpression getYAxisLabelExpression()

### isShowLines

    boolean isShowLines()

  Deprecated. Replaced by `getShowLines()`

### getShowLines

    java.lang.Boolean getShowLines()

### setShowLines

    void setShowLines(boolean isShowLines)

  Deprecated. Replaced by `setShowLines(Boolean)`

### setShowLines

    void setShowLines(java.lang.Boolean isShowLines)

### isShowShapes

    boolean isShowShapes()

  Deprecated. Replaced by `getShowShapes()`

### getShowShapes

    java.lang.Boolean getShowShapes()

### setShowShapes

    void setShowShapes(boolean isShowShapes)

  Deprecated. Replaced by `setShowShapes(Boolean)`

### setShowShapes

    void setShowShapes(java.lang.Boolean isShowShapes)

### getDomainAxisMinValueExpression

    JRExpression getDomainAxisMinValueExpression()

### getDomainAxisMaxValueExpression

    JRExpression getDomainAxisMaxValueExpression()

### getRangeAxisMinValueExpression

    JRExpression getRangeAxisMinValueExpression()

### getRangeAxisMaxValueExpression

    JRExpression getRangeAxisMaxValueExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com